%define languageenglazy Quechua, South Bolivia
%define languagecode    quh
%define lc_ctype        quh_BO

%define upstream_version 20110816

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www.runasimipi.org/blanco-en.php?file=desarrollar-orto
Source0:        http://www.runasimipi.org/quh_BO-pack.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-qu_BO < 1.0.3
Provides:       myspell-qu_BO

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n quh_BO-pack
unzip -qq quh_BO.zip

%build

%install
install -D -m 0644 -p quh_BO/quh_BO.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p quh_BO/quh_BO.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README quh_BO/COPYING quh_BO/Copyright quh_BO/README_quh_BO.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.20110816.1-9.mga9
+ Revision: 1801145
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20110816.1-8.mga8
+ Revision: 1490508
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20110816.1-7.mga7
+ Revision: 1262195
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.20110816.1-6.mga6
+ Revision: 931715
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20110816.1-5.mga5
+ Revision: 747044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20110816.1-4.mga5
+ Revision: 680294
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20110816.1-3.mga4
+ Revision: 505773
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20110816.1-2.mga3
+ Revision: 353663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 0.20110816.1-1.mga3
+ Revision: 344445
- sync version with Fedora: 20110816

* Wed Feb 15 2012 kamil <kamil> 0.20081017.1-5.mga2
+ Revision: 209060
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.20081017.1-4.mga2
+ Revision: 206309
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20081017.1-3.mga1
+ Revision: 69039
- imported package hunspell-quh


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081017-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081017-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Caolan McNamara <caolanm@redhat.com> - 0.20081017-1
- initial version
